/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef _MOD_JRUN_H
#define _MOD_JRUN_H

/* General includes. */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#ifndef WIN32
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <netinet/in.h>
#include <netdb.h>
#endif /* WIN32 */

/* Apache includes. */

#include <httpd.h>
#include <http_config.h>
#include <http_request.h>
#include <http_core.h>
#include <http_protocol.h>
#include <http_main.h>
#include <http_log.h>
#include <util_script.h>
#include <util_date.h>

#if MODULE_MAGIC_NUMBER > 19980401
#if MODULE_MAGIC_NUMBER > 19980701
#include "ap_compat.h"
#if MODULE_MAGIC_NUMBER > 19990101
#define escape_uri ap_escape_uri
#endif
#else
#include "compat.h"
#endif /* > 19980701 */
#endif /* > 19980401 */

/* Some mod_jrun specific stuff */
#define TRUE 1
#define FALSE 0

#include "jrun_property.h"

/* mod_jrun configuration structure */
typedef struct {
	char* jrun_host;			/* host of proxy server */
    int jrun_port;				/* port that jrun will listen on */
	char *rulesPath;
	char *errorUrl;
	jrun_proxy pxy;		/* access to JRun  */
	char *jrunroot;
	char *jvmlist;
#if MODULE_MAGIC_NUMBER <= 19980401 /* apache 1.2.X */
	int first_time;
#endif
} jrun_conf;

/* Prototypes */

static void WriteToLog(jrun_request *, const char *szFormat, ...);
/* prototype */
static void init_apache_request(jrun_request *, request_rec *, server_rec *);


#endif
