/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef JRUN_PROPERTY_H
#define JRUN_PROPERTY_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "jrun_proxy.h"

#if defined __cplusplus
extern "C" {
#endif

typedef struct propertyEntry {
	char *name;
	char *value;
} propEntry;

/* 01-15-99 PC Increase the entry size from 32 to 2048 */
typedef struct propertyTable {
	propEntry entry[2048];
	int count;
} propTable;

/* protos */
propTable * loadProperties(jrun_request *, const char *filename);
propTable * loadProperties1(const char *filename);
propTable *parseProperties(jrun_request *, const char *props);
void freeProperties(jrun_request *r, propTable *props);
const char * getPropertyValue(const propTable *props, const char *name);
const char * getPropertyValue2(const propTable *props, const propTable *props2, const char *name);
const char * getPropertyValue3(const propTable *props, const propTable *props2,
							   const propTable *props3, const char *name, const char *jvm);
void setProperty(jrun_request *r, propTable *props, const char *name, const char *value);
void addProperty(propTable *props, char *name, char *value);
char *describeError(int err);

#ifdef null
#undef null
#endif
#define null 0

#if defined __cplusplus
}
#endif

#endif


