/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef EXTENSION_H
#define EXTENSION_H

#if defined __cplusplus
extern "C" {
#endif

#ifdef XP_WIN32

#include <windows.h>
#define NSAPI_PUBLIC __declspec(dllexport)

#else /* !XP_WIN32 */

#include <unistd.h>
#include <stdarg.h>
#define NSAPI_PUBLIC
#define BOOL short
#define TRUE 1
#define FALSE 0

#endif /* !XP_WIN32 */

#include "base/pblock.h"
#include "base/session.h"
#include "base/crit.h"
#include "base/ereport.h"
#include "base/util.h"
#include "frame/req.h"
#include "frame/conf.h"
#include "frame/http.h"
#include "frame/log.h"

	/* this definition seems to be missing from the nsapi headers */
#ifndef servact_translate_uri
extern char *servact_translate_uri(char *pathname, Session *sn);
#endif

#include "jrun_proxy.h"

/* Prototypes */
NSAPI_PUBLIC int	jruninit(pblock *pb, Session *sn, Request *rq);
NSAPI_PUBLIC int	jrunservice(pblock *pb, Session *sn, Request *rq);
NSAPI_PUBLIC int	jrunfilter(pblock *pb, Session *sn, Request *rq);
NSAPI_PUBLIC void	jrunend(void *);
void				WriteToLog(jrun_request *, const char *szFormat, ...);
void				init_nsapi_request(jrun_request *r, pblock *, Session *, Request *);

#if defined __cplusplus
}
#endif

#endif
