/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef INTERFACE_H
#define INTERFACE_H

typedef struct
{
	char *name;
	char *reserved1;
	char *equiv;
} nesequiv;

nesequiv nesequivHeaders[] =
{
		/* pblock_findval(\"NSAPI Equivalent\", rq->headers); */
		{ "CONTENT_LENGTH", NULL, "content-length" },
		{ "CONTENT_TYPE", NULL, "content-type" },
		{ "ACCEPT", NULL, "accept" },
		{ "ACCEPT_ENCODING", NULL, "accept-encoding" },
		{ "ACCEPT_LANGUAGE", NULL, "accept-language" },
		{ "AUTHORIZATION", NULL, "authorization" },
		{ "COOKIE", NULL, "cookie" },
		{ "IF_MODIFIED_SINCE", NULL, "if-modified-since" },
		{ "REFERER", NULL, "referer" },
		{ "USER_AGENT", NULL, "user-agent" },
		{ "USER_DEFINED", NULL, "user-defined" },

		/* pblock_findval(\"NSAPI Equivalent\", rq->reqpb) */
		{ "QUERY_STRING", NULL, "query" },
		{ "REQUEST_LINE", NULL, "clf-request" },
		{ "REQUEST_METHOD", NULL, "method" },
		{ "SCRIPT_NAME", NULL, "uri" },
		{ "SERVER_PROTOCOL", NULL, "protocol" },

		/* pblock_findval(\"NSAPI Equivalent\", rq->vars); */
		{ "AUTH_TYPE", NULL, "auth-type" },
		{ "PATH_INFO", NULL, "path-info" },
		{ "REMOTE_USER", NULL, "auth-user" },

		/* pblock_findval(\"NSAPI Equivalent\", sn->client); */
		{ "HTTPS_KEYSIZE", NULL, "keysize" },
		{ "HTTPS_SECRETSIZE", NULL, "secret-keysize" },
		{ "REMOTE_ADDR", NULL, "ip" }
};

#define NESEQUIV_HEADER_COUNT (sizeof(nesequivHeaders) / sizeof(nesequiv))

#endif
