#
# Copyright (c) 1997-2000 Allaire.  All Rights Reserved.
# 
# DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
# WRITTEN PERMISSION OF ALLAIRE.
# 

#  %name: Netware.mak %
#  %version: 1 %
#  %date_modified: Fri Aug 28 14:37:59 1998 %

#
# Set nlm information
#

PRODUCT_NAME = JRUNNS
NLM_DESC = Novell NLM 'JRun Connector Proxy NLM'

NLM_VERSION = 1.0
NLM_COPY = '(C) Copyright 1998  Novell, Inc.  All Rights Reserved.'

#
# Build information
#

!ifndef RELEASE
RELEASE = internal_build
!endif

!if "$(RELEASE)" == "internal_build"
CFLAGS = \
   /zp=1 /ei /d2 /od /3s /w3 /s /zq /ez /ri \
   -DN_PLAT_NETWARE -DN_IAPX386 -DNETWARE -DXP_NETWARE -DWATCOM11 -DWATCOM -DDEBUG \
   -DNSAPI

OBJ_DIR = netware
FINAL_DIR = netware
!endif

!if "$(RELEASE)" == "release_build"
CFLAGS = \
   /zp=1 /ei /od /3s /w3 /s /zq /ez /ri \
   -DWATCOM -DWATCOM11 -DNETWARE -DXP_NETWARE -DN_PLAT_NETWARE -DN_IAPX386 \
   -DNSAPI

OBJ_DIR = netware
FINAL_DIR = netware

!endif

!ifndef TOOLDIR
TOOLDIR=c:\novell\tools
!endif

!ifndef NLMCOMPILERDIR
NLMCOMPILERDIR = $(TOOLDIR)\wcc\1100
!endif

!ifndef CLNTAPIDIR
CLNTAPIDIR = ..\..\Servers\netware\nwsdk
!endif

!ifndef NETSCAPEAPIDIR
NETSCAPEAPIDIR = ..\..\Servers\netware\netscape
!endif

CC = $(NLMCOMPILERDIR)\binnt\wcc386
NLM_LINK = $(NLMCOMPILERDIR)\binnt\wlink

INCLUDES = \
   -I. \
   -I..\..\jrun_all \
   -I$(CLNTAPIDIR)\include\nlm \
   -I$(CLNTAPIDIR)\include \
   -I$(NETSCAPEAPIDIR)\INCLUDE

#
# targets
#
#
# Add object files here that you want built
#

NLM_FILES_obj = \
            $(OBJ_DIR)\extension.obj \
            $(OBJ_DIR)\interface.obj \
            $(OBJ_DIR)\jrun_proxy.obj  \
            $(OBJ_DIR)\jrun_property.obj  \
            $(OBJ_DIR)\platform.obj  \
			$(OBJ_DIR)\nwmain.obj


#
# implement the targets and dependances
#

$(FINAL_DIR)\$(CPRODUCT_NAME).nlm :  \
   $(NLM_FILES_obj)
   @set WATCOM=$(NLMCOMPILERDIR)
!if "$(RELEASE)" == "internal_build"
   $(NLM_LINK) @<<
   Form $(NLM_DESC)
   Name $(FINAL_DIR)\$(PRODUCT_NAME)
   Option Version = $(NLM_VERSION)
   Option Copyright $(NLM_COPY)
   Option Caseexact
   Option Map, Verbose, screenname 'Default'
   Option SYMFILE=$(BIN_DIR)\$(PRODUCT_NAME).sym
   debug all
   debug novell

!else
    $(NLM_LINK) @<<
 Form   $(NLM_DESC)
 Name   $(FINAL_DIR)\$(PRODUCT_NAME)
 Option Version = $(NLM_VERSION)
 Option Copyright $(NLM_COPY)
 Option Caseexact
 Option Map, Verbose, screenname 'Default'

!endif
 
 Option NoDefaultLibs
 Module clib
 Import @$(CLNTAPIDIR)\imports\clib.imp,
        @$(CLNTAPIDIR)\imports\threads.imp,
        @$(CLNTAPIDIR)\imports\nlmlib.imp,
        @$(CLNTAPIDIR)\imports\socklib.imp

 Import @nsapi.imp

 Export jrunend, jruninit, jrunservice, jrunfilter

 File   $(CLNTAPIDIR)\imports\nwpre.obj, $(NLM_FILES_obj:.obj=.obj,)
<<

# Build the FILES_obj for NLM

$(OBJ_DIR)\jrun_proxy.obj : ..\..\jrun_all\jrun_proxy.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ ..\..\jrun_all\jrun_proxy.c

$(OBJ_DIR)\jrun_property.obj : ..\..\jrun_all\jrun_property.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ ..\..\jrun_all\jrun_property.c

$(OBJ_DIR)\platform.obj : ..\..\jrun_all\platform.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ ..\..\jrun_all\platform.c

$(OBJ_DIR)\extension.obj : extension.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ extension.c

$(OBJ_DIR)\interface.obj : interface.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ interface.c

$(OBJ_DIR)\nwmain.obj : nwmain.c
   $(CC) $(CFLAGS) $(INCLUDES) -Fo$@ nwmain.c
